[arch-commits] CVS update of extra/lib/taglib (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Fri Dec 7 15:29:02 EST 2007


    Date: Friday, December 7, 2007 @ 15:29:02
  Author: tpowa
    Path: /home/cvs-extra/extra/lib/taglib

Modified: PKGBUILD (1.10 -> 1.11)

'upgpkg: update to new version'


----------+
 PKGBUILD |   36 +++++++++++++++++++++---------------
 1 file changed, 21 insertions(+), 15 deletions(-)


Index: extra/lib/taglib/PKGBUILD
diff -u extra/lib/taglib/PKGBUILD:1.10 extra/lib/taglib/PKGBUILD:1.11
--- extra/lib/taglib/PKGBUILD:1.10	Sun May 28 07:38:32 2006
+++ extra/lib/taglib/PKGBUILD	Fri Dec  7 15:29:01 2007
@@ -1,21 +1,27 @@
-# $Id: PKGBUILD,v 1.10 2006/05/28 11:38:32 notz Exp $
-# Maintainer: damir <damir at archlinux.org>
+# $Id: PKGBUILD,v 1.11 2007/12/07 20:29:01 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=taglib
-pkgver=1.4
-pkgrel=2
-pkgdesc="A library for reading and editing the meta-data of several popular audio formats."
-arch=(i686 x86_64)
+pkgver=1.4.0.svn744384
+pkgrel=1
+pkgdesc="library for reading and editing the meta-data of several popular audio formats."
+arch=('i686' 'x86_64')
 url="http://ktown.kde.org/~wheeler/taglib.html"
-depends=('gcc>=4.0.1' 'zlib' 'bash')
-source=(http://ktown.kde.org/~wheeler/files/src/$pkgname-$pkgver.tar.gz)
+license=('GPL2')
+depends=('zlib' 'gcc-libs')
+makedepends=('cmake' 'pkgconfig')
+# svn snapshot: svn co svn://anonsvn.kde.org/home/kde/trunk/kdesupport/taglib
+source=(ftp://ftp.archlinux.org/other/kde/$pkgname-$pkgver.tar.bz2
+	#http://belnet.dl.sourceforge.net/sourceforge/soprano/soprano-1.97.1-beta4.tar.bz2
+	)
+options=(!libtool)
 
 build() {
-     cd $startdir/src/$pkgname-$pkgver
-     ./configure --prefix=/usr
-     make || return 1
-     make DESTDIR=$startdir/pkg install || return 1
-     # libtoolslay
-     find $startdir/pkg -name '*.la' -exec rm {} \;
-}
+  # start building
+  cd $startdir/src/$pkgname
 
+  cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+  make VERBOSE=1 || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}
+md5sums=('ba715e167eaec37c5e235229b652361b')




More information about the arch-commits mailing list